MacroIconTest_Icons = {}

function MacroIconTest_GetIcons()
  GetMacroIcons(MacroIconTest_Icons)
  GetMacroItemIcons(MacroIconTest_Icons)
  local max = #MacroIconTest_Icons
  local slider = MacroIconTest_HSlider
  slider:SetMinMaxValues(1, max - 5)
  slider:SetValueStep(1.0)
  slider:SetValue(1)
end

function MacroIconTest_UpdateIcons(startIcon)
  local name = "MacroIconTestIcon"

  for i=1,6 do
    local texture = MacroIconTest_Icons[startIcon + (i - 1)]
    local button = getglobal(name .. i)
    button:SetNormalTexture("INTERFACE\\ICONS\\" .. texture)
  end
end

function MacroIconTest_OnMouseWheel(self, delta)
  local current = MacroIconTest_HSlider:GetValue()

  if (delta < 0) and (current < #icons) then
    MacroIconTest_HSlider:SetValue(current + 1)
  elseif (delta > 0) and (current > 1) then
    MacroIconTest_HSlider:SetValue(current - 1)
  end
end

